# Visualization
TKService
Aspect

# Aspect_RectangularGrid Class Reference

`#include <Aspect_RectangularGrid.hxx>`

Inheritance diagram for Aspect_RectangularGrid:

[legend]

## Public Member Functions

Standard_EXPORT | Aspect_RectangularGrid (const Quantity_Length aXStep, const Quantity_Length aYStep, const Quantity_Length anXOrigin=0, const Quantity_Length anYOrigin=0, const Quantity_PlaneAngle aFirstAngle=0, const Quantity_PlaneAngle aSecondAngle=0, const Quantity_PlaneAngle aRotationAngle=0)
| creates a new grid. By default this grid is not active. The first angle is given relatively to the horizontal. The second angle is given relatively to the vertical.
Standard_EXPORT void | SetXStep (const Quantity_Length aStep)
| defines the x step of the grid.
Standard_EXPORT void | SetYStep (const Quantity_Length aStep)
| defines the y step of the grid.
Standard_EXPORT void | SetAngle (const Quantity_PlaneAngle anAngle1, const Quantity_PlaneAngle anAngle2)
| defines the angle of the second network the fist angle is given relatively to the horizontal. the second angle is given relatively to the vertical.
Standard_EXPORT void | SetGridValues (const Quantity_Length XOrigin, const Quantity_Length YOrigin, const Quantity_Length XStep, const Quantity_Length YStep, const Quantity_PlaneAngle RotationAngle)
Standard_EXPORT void | Compute (const Quantity_Length X, const Quantity_Length Y, Quantity_Length &gridX, Quantity_Length &gridY) const
| returns the point of the grid the closest to the point X,Y
Standard_EXPORT Quantity_Length | XStep () const
| returns the x step of the grid.
Standard_EXPORT Quantity_Length | YStep () const
| returns the x step of the grid.
Standard_EXPORT Quantity_PlaneAngle | FirstAngle () const
| returns the x Angle of the grid, relatively to the horizontal.
Standard_EXPORT Quantity_PlaneAngle | SecondAngle () const
| returns the y Angle of the grid, relatively to the vertical.
Standard_EXPORT void | Init ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT Standard_Boolean | CheckAngle (const Quantity_PlaneAngle alpha, const Quantity_PlaneAngle beta) const

## Private Attributes

Quantity_Length | myXStep
Quantity_Length | myYStep
Quantity_PlaneAngle | myFirstAngle
Quantity_PlaneAngle | mySecondAngle
Standard_Real | a1
Standard_Real | b1
Standard_Real | c1
Standard_Real | a2
Standard_Real | b2
Standard_Real | c2

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_RectangularGrid::Aspect_RectangularGrid | ( | const Quantity_Length | aXStep,
|  | const Quantity_Length | aYStep,
|  | const Quantity_Length | anXOrigin = `0`,
|  | const Quantity_Length | anYOrigin = `0`,
|  | const Quantity_PlaneAngle | aFirstAngle = `0`,
|  | const Quantity_PlaneAngle | aSecondAngle = `0`,
|  | const Quantity_PlaneAngle | aRotationAngle = `0`
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean Aspect_RectangularGrid::CheckAngle | ( | const Quantity_PlaneAngle | alpha,
|  | const Quantity_PlaneAngle | beta
| ) | const`[private]`

Standard_EXPORT void Aspect_RectangularGrid::Compute | ( | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | Quantity_Length & | gridX,
|  | Quantity_Length & | gridY
| ) | const`[virtual]`

| Implements Aspect_Grid.

Standard_EXPORT Quantity_PlaneAngle Aspect_RectangularGrid::FirstAngle | ( |  | ) | const

Standard_EXPORT const Aspect_RectangularGrid::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Aspect_Grid. Reimplemented in V2d_RectangularGrid, and V3d_RectangularGrid.

Standard_EXPORT void Aspect_RectangularGrid::Init | ( |  | ) | `[virtual]`

| Implements Aspect_Grid.

Standard_EXPORT Quantity_PlaneAngle Aspect_RectangularGrid::SecondAngle | ( |  | ) | const

Standard_EXPORT void Aspect_RectangularGrid::SetAngle | ( | const Quantity_PlaneAngle | anAngle1,
|  | const Quantity_PlaneAngle | anAngle2
| ) |

Standard_EXPORT void Aspect_RectangularGrid::SetGridValues | ( | const Quantity_Length | XOrigin,
|  | const Quantity_Length | YOrigin,
|  | const Quantity_Length | XStep,
|  | const Quantity_Length | YStep,
|  | const Quantity_PlaneAngle | RotationAngle
| ) |

Standard_EXPORT void Aspect_RectangularGrid::SetXStep | ( | const Quantity_Length | aStep | ) |

Standard_EXPORT void Aspect_RectangularGrid::SetYStep | ( | const Quantity_Length | aStep | ) |

Standard_EXPORT Quantity_Length Aspect_RectangularGrid::XStep | ( |  | ) | const

Standard_EXPORT Quantity_Length Aspect_RectangularGrid::YStep | ( |  | ) | const

## Field Documentation

Standard_Real Aspect_RectangularGrid::a1 `[private]`

Standard_Real Aspect_RectangularGrid::a2 `[private]`

Standard_Real Aspect_RectangularGrid::b1 `[private]`

Standard_Real Aspect_RectangularGrid::b2 `[private]`

Standard_Real Aspect_RectangularGrid::c1 `[private]`

Standard_Real Aspect_RectangularGrid::c2 `[private]`

Quantity_PlaneAngle Aspect_RectangularGrid::myFirstAngle `[private]`

Quantity_PlaneAngle Aspect_RectangularGrid::mySecondAngle `[private]`

Quantity_Length Aspect_RectangularGrid::myXStep `[private]`

Quantity_Length Aspect_RectangularGrid::myYStep `[private]`

The documentation for this class was generated from the following file:

- Aspect_RectangularGrid.hxx